[BUGFIX] Update wording in Core Upgrade dialog 92/58292/2
authorMichael Schams <typo3@2018.schams.net>
Sun, 16 Sep 2018 08:47:48 +0000 (18:47 +1000)
committerChristian Kuhn <lolli@schwarzbu.ch>
Sun, 16 Sep 2018 10:15:40 +0000 (12:15 +0200)
This change updates the text in the Core Upgrade dialog and fixes a
typo as well as introduces some basic styles.

Resolves: #86274
Releases: master
Change-Id: Ie6433a9fa3a5f8b8d1c808955872dda91d10788a
Reviewed-on: https://review.typo3.org/58292
Tested-by: TYPO3com <no-reply@typo3.com>
Reviewed-by: Jörg Bösche <typo3@joergboesche.de>
Tested-by: Jörg Bösche <typo3@joergboesche.de>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
typo3/sysext/install/Resources/Private/Templates/Upgrade/CoreUpdate.html

index fbcd36c..cb5ad09 100644 (file)
@@ -1,13 +1,13 @@
 <html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
 
-<p>Automatically updates the TYPO3 CMS core to its latest minor release if these criterias are met:</p>
+<p>Automatically updates the TYPO3 CMS core to its latest minor release if these criteria are met:</p>
 <ul>
-       <li>It only works under Unix and MacOS (needs symlink support).</li>
-       <li>typo3_src must be a symlink.</li>
-       <li>Symlink needs to be writable (and deletable) by the web server user.</li>
-       <li>Document root needs to be writable.</li>
-       <li>One path above document root (../) needs to be writable (new directories need to be allowed to be created).</li>
-       <li>The tar command must be available for extracting the Source package.</li>
+       <li>It only works under Unix and MacOS (support of symbolic links is required).</li>
+       <li><code>typo3_src</code> must be a symbolic link to the extracted TYPO3 source directory.</li>
+       <li>The symbolic link needs to be writable (and deletable) by the web server user.</li>
+       <li>The document root directory needs to be writable.</li>
+       <li>One path above document root (<code>../</code>) needs to be writable (new directories will be created).</li>
+       <li>The <code>tar</code> command must be available for extracting the TYPO3 source package.</li>
 </ul>
 
 <div class="t3js-coreUpdate-output">
@@ -26,8 +26,8 @@
                                <p>
                                        <f:if condition="{coreUpdateComposerMode}">Composer Mode is active. Please update using composer commands.<br></f:if>
                                        <f:if condition="!{coreUpdateEnabled}">The environment variable was set <code>TYPO3_DISABLE_CORE_UPDATER=1</code>.<br></f:if>
-                                       <f:if condition="!{coreUpdateIsReleasedVersion}">This system isn't a released TYPO3 version.<br></f:if>
-                                       <f:if condition="!{coreUpdateIsSymLinkedCore}">This action can only be used with a linked typo3_src.</f:if>
+                                       <f:if condition="!{coreUpdateIsReleasedVersion}">This system uses an unreleased TYPO3 core version.<br></f:if>
+                                       <f:if condition="!{coreUpdateIsSymLinkedCore}">This action can only be used with a linked <code>typo3_src</code>.</f:if>
                                </p>
                        </f:be.infobox>
                </f:else>